package com.thebrokenrail.energonrelics.api.energy.tick;

import java.util.List;

/**
 * Energy Tickable
 */
public interface EnergyTickable {
    /**
     * Start Tick
     * @return Other Objects To Tick
     */
    List<EnergyTickable> startTick();
    /**
     * Logic Tick
     */
    void logicTick();
    /**
     * Get ID
     * @return ID
     */
    String getID();
}
